
package com.lideeyunji.tool.framework.yunji.enums;


/**
 * 查询模式
 */
public enum QueryModelEnum {

    EQ("EQ", "精确查询"),
    LIKE("LIKE", "模糊查询"),
    RANGE("RANGE", "范围查询"),
    IN("IN", "包含查询"),

    MORE_IN("MORE_IN", "多选in"),
    NE("NE", "不等于");

    private final String code;
    private final String name;

    QueryModelEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
